petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsGetAll

Lists all the options the program was run with in a single string.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetAll(PetscOptions options,char *copts[])

Not Collective Many br

### Input Paramter

options - the options database, use NULL for the default global database Many br

### Output Parameter

copts - pointer where string pointer is stored Many br

Notes: the array and each entry in the array should be freed with PetscFree() Many br

Many br

### See Also

PetscOptionsAllUsed(), PetscOptionsView()

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages